import { getEnumTypeList, getEnumTypeName } from './index'

/**
 * 现货类型
 */
export enum SpotType {
    PurchasePlan = 1, // 采购计划
    SalesPlan = 2, // 销售计划
    PurchaseContract = 3, // 采购合同
    SalesContract = 4, // 销售合同
}

/**
 * 获取类型列表
 * @returns 
 */
export function getSpotTypeList() {
    return getEnumTypeList('spottype');
}

/**
 * 获取枚举名称
 * @param value 
 * @returns 
 */
export function getSpotTypeName(value: number) {
    return getEnumTypeName(getSpotTypeList(), value);
}

/**
 * 判断类型是否相同
 * @param key 
 * @param value 
 * @returns 
 */
export function isEqualSpotType(key: keyof typeof SpotType, value: number) {
    return SpotType[key] === value;
}